| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csParticleAux Struct Reference
[Mesh plugins]

Auxiliary data per particle, not used as often. More...

`#include <imesh/particles.h>`

List of all members.

## Public Attributes
csColor4 | color
| Current color value.
float | pad [2]
csVector2 | particleSize
| Size of particle.

## Detailed Description

Auxiliary data per particle, not used as often.

Definition at line 218 of file particles.h.

## Member Data Documentation

csColor4 csParticleAux::color

Current color value.

Definition at line 223 of file particles.h.

csVector2 csParticleAux::particleSize

Size of particle.

Only used if particle renderer is set to use individual sizes of the particles

Definition at line 229 of file particles.h.

The documentation for this struct was generated from the following file:

- imesh/particles.h